%global momorel 1
%global md5sum_src0 e933c7660fe9103916ca022ec60ad654
Summary:     Last.fm scrobbler plugin for xmms.
Name:        xmms-scrobbler
Version:     0.3.8.1
Release:     %{momorel}m
License:     LGPL
Group:       Applications/Multimedia
URL:         http://www.last.fm/postsignup.php
%NoSource 0  http://www.pipian.com/stuffforchat/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Requires:    xmms >= 1.2.10-10m
BuildPreReq: xmms-devel >= 1.2.10-10m,  libmusicbrainz-devel
BuildPreReq: openssl-devel >= 0.9.8a
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Last.fm scrobbler plugin for xmms.

%prep
%setup -q
autoreconf -vif

%build
%configure --disable-bmp-plugin
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog KnownIssues NEWS README README.tags TODO
%{_libdir}/xmms/General/libxmms_scrobbler.*

%changelog
* Sun May 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.8.1-1m)
- update to 0.3.8.1

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.3.6-2m)
- rebuild against libmusicbrainz-2.1.2

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.6-3m)
- rebuild against openssl-0.9.8a

* Sun Mar 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.6-2m)
- change installdir (/usr/X11R6 -> /usr)

* Tue Feb 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.6-1m)
- start
